
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>排序算法大集锦_线性时间_计数排序 / 憋错料</title>

    <meta name="description" content="排序算法大集锦_线性时间_计数排序 这个之前在&lt;编程珠玑&gt;上面看到过,当时就感觉特别神奇! 速度突破了其他排序算法的下限 后来在&lt;算法导论&gt;上面又看到了,感触颇深!所以一定好好啃透&lt;算法导论&gt; 这一系列博客的特点就是--给出每趟排序的结果 本来想着好好写一下过程,弄个图片什么的,不过觉得网上的解析太多了,都比较好,所以这些博客就算是对自己的总结吧. #include &lt;stdio.h&gt; #include &lt;string.h&gt; int a[10]={2,8,6,7,3,3, ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">排序算法大集锦_线性时间_计数排序</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<p>这个之前在《编程珠玑》上面看到过，当时就感觉特别神奇！</p>
<p>速度突破了其他排序算法的下限</p>
<p>后来在《算法导论》上面又看到了，感触颇深！所以一定好好啃透《算法导论》</p>
<p>这一系列博客的特点就是——给出每趟排序的结果</p>
<p>本来想着好好写一下过程，弄个图片什么的，不过觉得网上的解析太多了，都比较好，所以这些博客就算是对自己的总结吧。</p>
<pre>#include&nbsp;&lt;stdio.h&gt;
#include&nbsp;&lt;string.h&gt;

int&nbsp;a[10]={2,8,6,7,3,3,1,9,6,0};
int&nbsp;b[10],c[10];

void&nbsp;CountSort(int&nbsp;*a,&nbsp;int&nbsp;*b,&nbsp;int&nbsp;n)
{
	int&nbsp;i;
	//c[i]表示，a[0...9]中，i出现的次数
	for(i=0;i&lt;=n;i++)
		c[a[i]]=c[a[i]]+1;

	//c[i]表示，a[0...9]中，i/&lt;=i的数&nbsp;出现的次数
	for(i=1;i&lt;=n;i++)
		c[i]=c[i]+c[i-1];

	//向数组b中放置元素
	for(i=n;i&gt;=0;i--)
	{
		b[c[a[i]]-1]=a[i];
		//!防止a[i]中有重复的元素
		c[a[i]]-=1;
	}
}

int&nbsp;main()
{
	int&nbsp;i;
	for(i=0;i&lt;10;i++)
		printf("%d&nbsp;",a[i]);

	memset(b,0,sizeof(b));
	memset(c,0,sizeof(c));

	printf("\n排序后\n");

	CountSort(a,b,9);

	for(i=0;i&lt;10;i++)
		printf("%d&nbsp;",b[i]);

	printf("\n");

	return&nbsp;0;
}</pre>
<p>运行之后</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDIvNkMvMjIvd0tpb0wxVkFvcW53Y3RsdEFBRGpPRUE1c3JvMjA5LmpwZw==.jpg" /></p>
<p>之前看《编程珠玑》的时候，也写了一个类似的，不过有不如上面的那个强大</p>
<pre>#include&nbsp;&lt;stdio.h&gt;

void&nbsp;SpecialSort(int&nbsp;*m,&nbsp;int&nbsp;n)
{
	int&nbsp;i,mm[10];
	for(i=0;i&lt;n;i++)
		mm[i]=m[i];

	for(i=0;i&lt;n;i++)
		m[mm[i]-1]=mm[i];
}

int&nbsp;main()
{
	int&nbsp;i;
	int&nbsp;a[10]={2,8,5,7,4,3,1,9,6,10};
	for(i=0;i&lt;10;i++)
		printf("%d&nbsp;",a[i]);

	printf("\n排序后\n");

	SpecialSort(a,10);

	for(i=0;i&lt;10;i++)
		printf("%d&nbsp;",a[i]);

	printf("\n");

	return&nbsp;0;
}</pre>
<p>运行之后</p>
<p><img src="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvczMuNTFjdG8uY29tL3d5ZnMwMi9NMDEvNkMvMjUvd0tpb20xVkFvaEtEOTFiOEFBRGl1UGMwU3RRNDQ4LmpwZw==.jpg" /></p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-20 04:34:59 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/sort/" title="sort">sort</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>排序算法大集锦_线性时间_计数排序的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xByaj4.html" rel="bookmark">排序算法大集锦&lowbar;二路归并排序&lowbar;2&amp;3&lpar;分治思想&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第一段代码和合并排序差不多,用它来和第二段代码--二路归并排序作对比. 这一系列博客的特点就是--给出每趟排序的结果 本来想着好好写一下过程,弄个图片什么的,不过觉得网上的解析太多了,都比较好,所以这些博客就算是对自己的总结吧. #include &lt;stdio.h&gt; #include &lt;limits.h&gt; #include &lt;malloc.h&gt; void merge(int *m, int x, int y, int z) { int b1,b2,i,j,k; b1=y			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzARX84.html" rel="bookmark">排序算法大集锦&lowbar;各种排序算法性能比较</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对10000个1-10000的随机数进行排序,并显示出运行时间 数组是用以前用VC++&amp;MatLab生成的,比较长...哈哈,感受一下计算机的速度! #include &lt;stdio.h&gt; #include &lt;string.h&gt; #include &lt;stdlib.h&gt; #include &lt;limits.h&gt; #include &lt;malloc.h&gt; #include &lt;time.h&gt; int a[10000]={ 5282,330			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4pqodKM.html" rel="bookmark">排序算法大集锦&lowbar;插入类&mdash;&mdash;直接插入排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这一系列博客的特点就是--给出每趟排序的结果 本来想着好好写一下过程,弄个图片什么的,不过觉得网上的解析太多了,都比较好.&lt;算法导论&gt;上面那个比喻,比做打扑克牌的插入新牌,就比较形象.所以这些博客就算是对自己的总结吧. #include &lt;stdio.h&gt; void InsertSort(int *m, int n) { int i,j,temp; for(i=1;i&lt;n;i++) { temp=m[i]; j=i-1; while(j&gt;=0 &amp;&amp; te			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MP1REn0.html" rel="bookmark">排序算法大集锦&lowbar;交换类&mdash;&mdash;快速排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				感觉&lt;算法导论&gt;上面的那个例子要更容易理解,因为那个最起码比较直观! #include &lt;stdio.h&gt; int a[10]={2,8,5,7,4,3,1,9,6,10}; void QuickSort(int m, int n) { int s,begin,end; if(m&gt;n) return; begin=m; end=n; s=a[m]; while(begin!=end) { while(a[end]&gt;=s &amp;&amp; begin&lt;end)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/41wPDv0.html" rel="bookmark">排序算法大集锦&lowbar;选择类&mdash;&mdash;直接选择排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这一系列博客的特点就是--给出每趟排序的结果 本来想着好好写一下过程,弄个图片什么的,不过觉得网上的解析太多了,都比较好,所以这些博客就算是对自己的总结吧. #include &lt;stdio.h&gt; void SelectSort(int *m, int n) { int i,j,k,temp; bool flag; for(i=0;i&lt;n-1;i++) { k=i; flag=true; for(j=i+1;j&lt;n;j++) if(m[j]&lt;m[k]) k=j; if(k!=i			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPJovy3.html" rel="bookmark">排序算法大集锦&lowbar;合并排序&lowbar;1&lpar;分治思想&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这一系列博客的特点就是--给出每趟排序的结果 本来想着好好写一下过程,弄个图片什么的,不过觉得网上的解析太多了,都比较好,所以这些博客就算是对自己的总结吧. #include &lt;stdio.h&gt; #include &lt;limits.h&gt; #include &lt;malloc.h&gt; int a[10]={2,8,5,7,4,3,1,9,6,10}; void merge(int *m, int x, int y, int z) { int b1,b2,i,j,k; b1=y-x			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rqOdq0.html" rel="bookmark">排序算法大集锦&lowbar;插入类&mdash;&mdash;希尔&lpar;shell&rpar;排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这一系列博客的特点就是--给出每趟排序的结果 本来想着好好写一下过程,弄个图片什么的,不过觉得网上的解析太多了,都比较好,所以这些博客就算是对自己的总结吧. #include &lt;stdio.h&gt; void ShellSort(int *m, int n) { int i,flag,gap; for(gap=n;gap!=1;) { gap/=2; do { flag=0; for(i=0;i&lt;n-gap;i++) if(m[i]&gt;m[i+gap]) { m[i]=m[i]^m[i+			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kgrdP0.html" rel="bookmark">排序算法大集锦&lowbar;交换类&mdash;&mdash;冒泡排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				冒泡排序是在高中时代就接触到的一种排序,较为简单,相对其它排序要容易理解 这一系列博客的特点就是--给出每趟排序的结果 本来想着好好写一下过程,弄个图片什么的,不过觉得网上的解析太多了,都比较好,所以这些博客就算是对自己的总结吧. #include &lt;stdio.h&gt; void BubbleSort(int *m, int n) { int i,j; for(i=0;i&lt;n-1;i++) { for(j=1;j&lt;n-i;j++) if(m[j]&lt;m[j-1]) { m[j]=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MgmDEO3.html" rel="bookmark">算法导论第八章线性时间排序</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.线性时间排序算法历史概览 计数排序首先是由 Harold H. Seward 于1954年提出,而且他还提出将计数排序和基数排序进行结合的思想:基数排序是L.J.Comrie于1929年首次在一篇描述卡片穿孔机文档中提出的一种方法,它是从最低有效位开始,对一个有多位数组成的数进行排序的方法:而桶排序的基本思想则由E.J.Isaac和R.C.Singleton于1956年提出的,之后很多研究人员在这三种算法的基础上针对不同的应用场景又进一步改进,到了今天一个很成熟.很通用的地步. 二.O(nl			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/k0eGJ4r.html" rel="bookmark" class="title">maven的jar包存储的位置</a>
					<div>
						从Maven中心仓库下载到本地的jar包的默认存放在&quot;${user.home}/.m2/repository&quot;中,${user.home}表示当前登录系统的用户目录(如&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1d6pM.html" rel="bookmark" class="title">（一） Python基本语法</a>
					<div>
						1.注释 以#开头 2.字符串 数据类型为str类型: 用双引号“”或单引号‘’括起,若字符串中包含字符,则采用'this is a &quot;string&quot; '格式 3.number 只 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4JD7yb0.html" rel="bookmark" class="title">&lbrack;hdu2544&rsqb;最短路spfa</a>
					<div>
						解题关键:最短路模板一直没整理过,这里整理了一下spfa+链式前向星建图的最短路模板,以后网络赛省的打了. spfa算法的关键就是松弛操作,只有进行松弛操作,其后的点距离才可能被更新. 1 #incl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzagrJ4.html" rel="bookmark" class="title">用队列来处理订单以及集合间性能比较</a>
					<div>
						数组的大小是固定的,如果元素个数是动态的,就应使用集合类,集合可以根据集合类实现的接口组合为列表.集合和字典,集合实现的常用接口有如下 (1)IEnumerable&lt;T&gt;:如果将forea ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLDOqAM.html" rel="bookmark" class="title">关于requirejs</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MEZJE10.html" rel="bookmark" class="title">Chap5&colon; question&colon; 29 - 31</a>
					<div>
						29. 数组中出现次数超过一半的数字. 方法a. 排序取中       O(nlogn). 方法b. partition 函数分割找中位数          &gt;=O(n). 方法c. 设计数变量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MomaqP3.html" rel="bookmark" class="title">【Mysql sql inject】【入门篇】sqli-labs使用 part 4【18-20】</a>
					<div>
						这几关的注入点产生位置大多在HTTP头位置处 常见的HTTP注入点产生位置为[Referer].[X-Forwarded-For].[Cookie].[X-Real-IP].[Accept-Langu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0x5D573.html" rel="bookmark" class="title">iOS 让UIButton根据文字内容自动计算宽高</a>
					<div>
						Xcode自带的UIButton控件是没有办法根据文字内容计算自身的宽和高的,下面演示一下问题, 我用代码方式创建一个UIButton,并且设置了一些属性,下面看一下效果图 一切都是这么的美好,跟我们 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ONzq90.html" rel="bookmark" class="title">django app下url包含到全局设置</a>
					<div>
						为了分而治之,目录结构如下: 1, mysite/ ├── db.sqlite3 ├── manage.py ├── mysite │   ├── __init__.py │   ├── settin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLWB9v4.html" rel="bookmark" class="title">第九周项目3-分数类中的运算符重载（续）</a>
					<div>
						在分数类中的运算符重载基础上 (1)定义分数的一目运算+和-,分别代表分数取正和求反,将&quot;按位取反运算符&quot;~重载为分数的求倒数运算. (2)定义分数类中&lt;&lt;和&gt;& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLPvjeM.html" rel="bookmark" class="title">&commat;Index用法&mdash;&mdash;javax&period;persistence&period;Index</a>
					<div>
						package com.springup.utiku.model; import java.io.Serializable; import javax.persistence.Entity; impo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0xv6Ek4.html" rel="bookmark" class="title">vector的clear</a>
					<div>
						要求你熟悉stl,言下之意就是要你熟悉stl的内部实现. vector的clear动作并不回收内存,有点像内存泄露但又不是内存泄露,因为下次装入元素不用分配内存,直接使用这些预分配内存, clear并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0kpW1L3.html" rel="bookmark" class="title">Swift &num; Apple Pay集成</a>
					<div>
						苹果正式开放了Apple Pay支付系统.Apple Pay是一个基于NFC的支付系统,不久将被数以万计的线下零售商店予以支持.即便这项科技并不是彻底的突破性进展,但它足以推动许多公司和零售商来支持这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pPkGo4.html" rel="bookmark" class="title">redis读写分离，主从复制</a>
					<div>
						master配置:(主服务 redis.conf) requirepass masterpassword (配置密码) port 6379 (配置端口) slave配置 requirepass sla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mo5gYn3.html" rel="bookmark" class="title">使用 Docker 建立 Mysql 集群</a>
					<div>
						软件环境介绍操作系统:Ubuntu server 64bit 14.04.1Docker 版本 1.6.2数据库:Mariadb 10.10 (Mariadb 是 MySQL 之父在 MySQL 被  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3waLAjM.html" rel="bookmark" class="title">最长连续字母序列的长度（阿里2015在线研发工程师笔试题）</a>
					<div>
						给定一个query和一个text,均由小写字母组成.要求在text中找出以同样的顺序连续出现在query中的最长连续字母序列的长度.例如, query为“acbac”,text为“acaccbabb” ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3vBW593.html" rel="bookmark" class="title">课后习题1</a>
					<div>
						1 package com.ju; 2 3 public class power { 4 5 //颜色 6 private String yanse; 7 8 //品牌 9 private Strin ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MDNmVp3.html" rel="bookmark" class="title">【转】ArrayList其实就那么一回事儿之源码浅析</a>
					<div>
						转自:http://www.cnblogs.com/dongying/p/4013271.html?utm_source=tuicool&amp;utm_medium=referral ArrayLi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXlEbGM.html" rel="bookmark" class="title">【演绎】梁山好汉们的另一种结局</a>
					<div>
						&lt;荡寇志&gt;是中国清代长篇小说,作者俞万春(1794—1849).本书中,作者仇视以宋江为首的梁山泊起义的思想与金圣叹相一致,所以他紧接金圣...weibo.com/2015_09_09/p ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l1DOZ3.html" rel="bookmark" class="title">vue echarts 遇到的bug之一 无法渲染的问题</a>
					<div>
						图表示这样的 页面上有很多个图表,由于没有查询按钮,就只是点击发送ajax数据,所以把所有图表的方法放在updated中, 功能是实现了没问题,但是加载页面的时候会发送很多的ajax请求,而且点击修改 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
